
Figure - Bug #115685
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT2】【桌面管理】应用卸载后弹出的toast提示不正确
2023-02-01 15:02 - CD Test赵飞

Status: CLOSED Start date: 2023-02-01

Priority: Normal Due date: 2023-02-02

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0070.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-03

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、已安装一个可卸载的三方应用

【测试步骤】

1、长按应用图标并拖拽至屏幕顶部“卸载”区域

2、点击确认框的确认按钮

【预期结果】

2、应用被卸载，并弹出toast提示“应用xxx已删除卸载”

【实际结果】

2、应用被卸载，并弹出toast提示“应用xxx等共1个应用已删除卸载”

History

#1 - 2023-02-01 17:12 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2023-02-01 19:51 - CD APP-王营

- Due date set to 2023-02-02

- Status changed from New to ASSIGNED

#3 - 2023-02-02 09:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178759 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: Launcher: Modify tip content for uninstall1.Modify tip content when uninstall one app successfully.TC-RID: 1201-0205301IssueID:

TS-R-BUG-115685Change-Id: Ie713b31e77bc3a53f94da58613428b9f2fdf3f01
#4 - 2023-02-02 09:50 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-03

- Root cause set to 编码问题

■ Current conclusion

问题已修复，待测试同事验证

■ My analysis

需要适配只删除一个应用的情况，卸载后应该提示“应用xxx已删除卸载”

需要修改string文案和添加判断1个和多个的情况。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/178759

#5 - 2023-02-03 10:51 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

验证结果：PASS

仅卸载一个应用时，弹出的toast为“应用xxx已删除卸载”

#6 - 2023-02-03 10:52 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

screen-20230131-064430.mp4 2.74 MB 2023-02-01 CD Test赵飞

0_12_Launcher_3_1_应用已卸载提示.png 2.21 MB 2023-02-01 CD Test赵飞
